Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002392TestLinkGeneralpublic2009-04-17 19:512009-05-11 15:55
Reporterprzemilke 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.0 
Fixed in Version1.8.2 
Summary0002392: Poor performance of all Usermanagement section on TestLink 1.8.0
DescriptionI've used TestLink since september 2008. MySQL base reach over 34MB right now - There are 58 users and over 70 testplans, over 9500 testcases

Lets go to the point. Starting from version 1.8 I have many problems with performance of Usermanagement section: especially UserView and UserAssign. When user choose or change action from Mainmenu to UserView many times connection refused. Component is very heavy and slow (especcially UserAssign)... - look at the screen.

There was no problem with Usermanagement actions on version 1.7.5. In version 1.7.x that section run very fast...
Additional InformationIf you need more additional information i can help
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserAny browser
PHP Version5.2.2
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon 2009-04-17__14_36_11.jpg [^] (164,695 bytes) 2009-04-17 19:51


jpg file icon 2009-04-27__09_59_17.jpg [^] (130,334 bytes) 2009-04-27 16:43


? file icon user.class.php [^] (14,694 bytes) 2009-04-27 16:44

- Relationships

-  Notes
(0006428)
fman (administrator)
2009-04-17 23:27

please give detailed steps to reproduce
please send you db to make some tests with our environment
(0006452)
przemilke (reporter)
2009-04-20 15:25

Is there any possibility to send my db only to yours view (for example e-mail)? O dont want to make my db public...

Detailed steps:
1.) Login
2.) Main menu (horizontal one): Users - UsersView.tpl (poor performance, long time to loading: over 30 seconds)
3.) Horizontal Menu (tabsmenu.tpl): Add role to Test Plan - Usersassign.tpl (poor performance, long time to loading: over 30 secomds)
4.) Any change in UsersAssign.tpl means next long loading - over 30 seconds

I repeat: There was no problem on version 1.7.x
(0006498)
fman (administrator)
2009-04-21 17:54

send to francisco.mancardi@gmail.com
(0006503)
przemilke (reporter)
2009-04-21 23:27

I send my db on yours mail (francisco.mancardi@gmail.com)

Please check performance of all Usermanagement section - is very low. The best results you will see when compare this functionality on TestLink 1.8.0 and 1.7.x (despite that is version 1.2 of db - it works on 1.7.x too)
(0006616)
przemilke (reporter)
2009-04-27 16:43

Thanks for schlundus solution performance of usermanagement section improved unbelievable. Everything works as fast as on the version 1.7.x

I found only one problem with adding new users (Users -> Create -> Save - bug, look at the screenshot). That is the problem with function checkLogin($login) in user.class.php. I've modificated it a little bit and its ok right now. My file in attachements too. Maybe its only problem with version 1.8.0...
(0006650)
schlundus (reporter)
2009-04-28 01:07

Ah, i've forgot to sent you the right common.php which contains the tlStringLen function. So this is not a real bug ...
(0006651)
schlundus (reporter)
2009-04-28 01:22

Fixed in 1.8.2 and above

- Issue History
Date Modified Username Field Change
2009-04-17 19:51 przemilke New Issue
2009-04-17 19:51 przemilke File Added: 2009-04-17__14_36_11.jpg
2009-04-17 19:51 przemilke Browser => Any browser
2009-04-17 19:51 przemilke PHP Version => 5.2.2
2009-04-17 23:26 fman Description Updated
2009-04-17 23:27 fman Note Added: 0006428
2009-04-20 15:25 przemilke Note Added: 0006452
2009-04-21 17:54 fman Note Added: 0006498
2009-04-21 23:27 przemilke Note Added: 0006503
2009-04-25 02:06 schlundus Status new => assigned
2009-04-25 02:06 schlundus Assigned To => schlundus
2009-04-27 16:43 przemilke Note Added: 0006616
2009-04-27 16:43 przemilke File Added: 2009-04-27__09_59_17.jpg
2009-04-27 16:44 przemilke File Added: user.class.php
2009-04-28 01:07 schlundus Note Added: 0006650
2009-04-28 01:22 schlundus Status assigned => resolved
2009-04-28 01:22 schlundus Fixed in Version => 1.8.2 (bug fixing)
2009-04-28 01:22 schlundus Resolution open => fixed
2009-04-28 01:22 schlundus Note Added: 0006651
2009-05-11 15:55 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker